package com.zd.exam.mapper;

import java.util.List;

import com.zd.exam.domain.ElCategory;
import org.apache.ibatis.annotations.Param;

/**
 * 学习分类Mapper接口
 *
 * @author liubo
 * @date 2021-12-07
 */
public interface ElCategoryMapper {
    /**
     * 查询学习分类
     *
     * @param id 学习分类主键
     * @return 学习分类
     */
    public ElCategory selectElCategoryById(Long id);

    /**
     * 查询学习分类列表
     *
     * @param elCategory 学习分类
     * @return 学习分类集合
     */
    public List<ElCategory> selectElCategoryList(ElCategory elCategory);

    /**
     * 新增学习分类
     *
     * @param elCategory 学习分类
     * @return 结果
     */
    public int insertElCategory(ElCategory elCategory);

    /**
     * 修改学习分类
     *
     * @param elCategory 学习分类
     * @return 结果
     */
    public int updateElCategory(ElCategory elCategory);

    /**
     * 删除学习分类
     *
     * @param id 学习分类主键
     * @return 结果
     */
    public int deleteElCategoryById(Long id);

    /**
     * 批量删除学习分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElCategoryByIds(Long[] ids);

    public String queryTitleById(Long id);

    List<Long> selectIdsByParentIds(@Param("parentIds") List<Long> parentIds);
}
